package com.redhat.training.claims.model;

import java.util.ArrayList;
import java.util.Date;

public class Claim {
    private int id;
    private String reason;
    private Date dateOfEvent;
    private Date dateFiled;
    private double amount;
    private Vehicle vehicle;
    private ArrayList<Person> involvedPersons;
    public Claim() {
        this.involvedPersons = new ArrayList<Person>();
    }
    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }
    public Date getDateOfEvent() {
        return dateOfEvent;
    }
    public void setDateOfEvent(Date dateOfEvent) {
        this.dateOfEvent = dateOfEvent;
    }
    public Date getDateFiled() {
        return dateFiled;
    }
    public void setDateFiled(Date dateFiled) {
        this.dateFiled = dateFiled;
    }
    public ArrayList<Person> getInvolvedPersons() {
        return involvedPersons;
    }
    public void setInvolvedPersons(ArrayList<Person> involvedPersons) {
        this.involvedPersons = involvedPersons;
    }
    public String getReason() {
        return reason;
    }
    public void setReason(String reason) {
        this.reason = reason;
    }
    public double getAmount() {
        return amount;
    }
    public void setAmount(double amount) {
        this.amount = amount;
    }
    public Vehicle getVehicle() {
        return vehicle;
    }
    public void setVehicle(Vehicle vehicle) {
        this.vehicle = vehicle;
    }
    
}
